Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http
Interface RequestProcessor

public abstract interface RequestProcessor

Request processor interface. Request processors are object whose invocation is done prior to any request launching, and who have the opportunity to answer to the request before it actually goes out to the target server.

Typicall request processors will probably be local cache manager, or distributed cache managers, or any other kind of caches. They can also be used to limit what requests are allowed to go out, and other nifty things you can imagine.

Method Summary
`Reply` | `processRequest(Request request)` Can this processor handle this request ? Given the actual request, the processor is called to see if it can actually answer it.

Method Detail

### processRequest

    public Reply processRequest(Request request)
                         throws HttpException

  Can this processor handle this request ? Given the actual request, the processor is called to see if it can actually answer it. It this is the case, the processor should return a valid IngoingReply to be forwarded back to the application.
  Parameters:
    `request` - The request to be handled.
  Returns:
    An instance of Reply, or null if the processor was unable to answer the request.
  Throws:
    HttpException - If the processor decies that this request is erroneous, and shouldn't proceed further.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD